Dell pro venue 11 - No wireless connections after sleep

Bug #1492850 reported by stef.baly on 2015-09-06
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned
systemd (Ubuntu)
Undecided
Unassigned

Bug Description

I try for a long time to set-up the wifi for my dell pro venue 11 v7130 (wifi chipset Intel Corporation Wireless 7260). The wifi connection is perfect until the computer is suspend. After a suspend, even activating the wifi from network manager is impossible. After suspend even an exit doesn't reconnect to the wifi connection. It seems that the wifi chipset is off and it's impossible to wake up.

Recently 15.04 has been update to 4.2 RC8. Nothing new !

A file unload_modules has been created.
/etc/pm/config.d with SUSPEND_MODULES="$SUSPEND_MODULES iwlwifi" without any effect.

sudo service network-manager restart doesn't work too !

Before suspend

@utopie:~$ sudo lshw -C network
*-network
description: Interface réseau sans fil
produit: Wireless 7260
fabriquant: Intel Corporation
identifiant matériel: 0
information bus: pci@0000:01:00.0
nom logique: wlan0
version: 83
numéro de série: 5c:51:4f:d9:2e:75
bits: 64 bits
horloge: 33MHz
fonctionnalités: pm msi pciexpress bus_master cap_list ethernet physical wireless
configuration: broadcast=yes driver=iwlwifi driverversion=4.2.0-040200rc8-generic firmware=25.30.13.0 ip=192.168.0.50 latency=0 link=yes multicast=yes wireless=IEEE 802.11abgn
ressources: irq:49 mémoire:f7d00000-f7d01fff
*-network DÉSACTIVÉ
description: Ethernet interface
identifiant matériel: 1
nom logique: wwan0
numéro de série: 1e:51:e0:b8:e1:da
fonctionnalités: ethernet physical
configuration: broadcast=yes driver=cdc_mbim driverversion=22-Aug-2005 firmware=CDC MBIM link=no multicast=yes

After suspend (no more wifi chipset !).
@utopie:~$ sudo lshw -C network
*-network DÉSACTIVÉ
description: Ethernet interface
identifiant matériel: 1
nom logique: wwan0
numéro de série: 1e:51:e0:b8:e1:da
fonctionnalités: ethernet physical
configuration: broadcast=yes driver=cdc_mbim driverversion=22-Aug-2005 firmware=CDC MBIM link=no multicast=yes

---
ApportVersion: 2.17.2-0ubuntu1.4
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: baly 1169 F.... pulseaudio
 /dev/snd/controlC1: baly 1169 F.... pulseaudio
CurrentDesktop: Unity
DistroRelease: Ubuntu 15.04
HibernationDevice: RESUME=UUID=729324f1-42a5-45f8-9585-f6e0169f2d64
InstallationDate: Installed on 2015-04-23 (144 days ago)
InstallationMedia: Ubuntu 15.04 "Vivid Vervet" - Release amd64 (20150422)
MachineType: Dell Inc. Venue 11 Pro 7130 vPro
Package: linux (not installed)
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.19.0-29-generic.efi.signed root=UUID=35cde4a5-bbc3-442b-b239-d3f917925a94 ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 3.19.0-29.31-generic 3.19.8-ckt6
RelatedPackageVersions:
 linux-restricted-modules-3.19.0-29-generic N/A
 linux-backports-modules-3.19.0-29-generic N/A
 linux-firmware 1.143.3
Tags: vivid
UdevLog: Error: [Errno 2] Aucun fichier ou dossier de ce type: '/var/log/udev'
Uname: Linux 3.19.0-29-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
_MarkForUpload: True
dmi.bios.date: 02/18/2014
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A10
dmi.board.name: 0T69G0
dmi.board.vendor: Dell Inc.
dmi.board.version: A00
dmi.chassis.type: 9
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA10:bd02/18/2014:svnDellInc.:pnVenue11Pro7130vPro:pvr01:rvnDellInc.:rn0T69G0:rvrA00:cvnDellInc.:ct9:cvr:
dmi.product.name: Venue 11 Pro 7130 vPro
dmi.product.version: 01
dmi.sys.vendor: Dell Inc.

stef.baly (stef-baly) wrote :

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 1492850

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete

apport information

tags: added: apport-collected vivid
description: updated

apport information

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Joseph Salisbury (jsalisbury) wrote :

Did this issue start happening after an update/upgrade? Was there a prior kernel version where you were not having this particular problem?

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v4.2 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.2-unstable/

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete
stef.baly (stef-baly) on 2015-09-08
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Download full text (4.1 KiB)

I not able to add a tag in launchpad !
Anyway kernel bug exists upstream with 4.2*
The bug has been tag as confirmed.

Stéphane Baly
+33 6 81 64 02 84
@stefbaly

Stéphane Baly
06 81 64 02 84
@stefbaly

2015-09-08 18:07 GMT+02:00 Joseph Salisbury <email address hidden>
:

> Did this issue start happening after an update/upgrade? Was there a
> prior kernel version where you were not having this particular problem?
>
> Would it be possible for you to test the latest upstream kernel? Refer
> to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest
> v4.2 kernel[0].
>
> If this bug is fixed in the mainline kernel, please add the following
> tag 'kernel-fixed-upstream'.
>
> If the mainline kernel does not fix this bug, please add the tag:
> 'kernel-bug-exists-upstream'.
>
> Once testing of the upstream kernel is complete, please mark this bug as
> "Confirmed".
>
>
> Thanks in advance.
>
> [0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.2-unstable/
>
>
> ** Changed in: linux (Ubuntu)
> Importance: Undecided => Medium
>
> ** Changed in: linux (Ubuntu)
> Status: Confirmed => Incomplete
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1492850
>
> Title:
> Dell pro venue 11 - No wireless connections after sleep
>
> Status in linux package in Ubuntu:
> Incomplete
>
> Bug description:
> I try for a long time to set-up the wifi for my dell pro venue 11
> v7130 (wifi chipset Intel Corporation Wireless 7260). The wifi
> connection is perfect until the computer is suspend. After a suspend,
> even activating the wifi from network manager is impossible. After
> suspend even an exit doesn't reconnect to the wifi connection. It
> seems that the wifi chipset is off and it's impossible to wake up.
>
> Recently 15.04 has been update to 4.2 RC8. Nothing new !
>
> A file unload_modules has been created.
> /etc/pm/config.d with SUSPEND_MODULES="$SUSPEND_MODULES iwlwifi" without
> any effect.
>
> sudo service network-manager restart doesn't work too !
>
> Before suspend
>
> @utopie:~$ sudo lshw -C network
> *-network
> description: Interface réseau sans fil
> produit: Wireless 7260
> fabriquant: Intel Corporation
> identifiant matériel: 0
> information bus: pci@0000:01:00.0
> nom logique: wlan0
> version: 83
> numéro de série: 5c:51:4f:d9:2e:75
> bits: 64 bits
> horloge: 33MHz
> fonctionnalités: pm msi pciexpress bus_master cap_list ethernet physical
> wireless
> configuration: broadcast=yes driver=iwlwifi
> driverversion=4.2.0-040200rc8-generic firmware=25.30.13.0 ip=192.168.0.50
> latency=0 link=yes multicast=yes wireless=IEEE 802.11abgn
> ressources: irq:49 mémoire:f7d00000-f7d01fff
> *-network DÉSACTIVÉ
> description: Ethernet interface
> identifiant matériel: 1
> nom logique: wwan0
> numéro de série: 1e:51:e0:b8:e1:da
> fonctionnalités: ethernet physical
> configuration: broadcast=yes driver=cdc_mbim driverversion=22-Aug-2005
> firmware=CDC MBIM link=no multicast=yes
>
> After suspend (no more wifi chipset !).
> @utopie:~$ sudo lshw -C network
> *-network DÉSACTIVÉ
> desc...

Read more...

no longer affects: linux (Ubuntu)
affects: linux → linux (Ubuntu)
Changed in linux (Ubuntu):
status: New → Incomplete
importance: Undecided → Medium

apport information

description: updated

apport information

apport information

description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

description: updated
tags: added: bios-outdated-a16
stef.baly (stef-baly) wrote :

Since a bios update (to A16), the bug is slightly different !
The wifi connection is perfect until the computer is suspend.
After a suspend, wifi is disable and activating the wifi from network manager is impossible. the computer must reboot ta enable the wifi or you fold the screen and then when you reopen and wake up the computer the wifi is on !

sudo dmidecode -s bios-version && sudo dmidecode -s bios-release-date
A16
06/15/2015

description: updated

apport information

apport information

stef.baly, to advise, you don't need to apport-collect further unless requested to do so. Especially with the mainline kernel installed as the information is useless.

Despite this, could you please test the latest upstream kernel available from the very top line at the top of the page from http://kernel.ubuntu.com/~kernel-ppa/mainline/?C=N;O=D (the release names are irrelevant for testing, and please do not test the daily folder)? Install instructions are available at https://wiki.ubuntu.com/Kernel/MainlineBuilds . This will allow additional upstream developers to examine the issue.

If the latest kernel did not allow you to test to the issue (ex. you couldn't boot into the OS) please make a comment in your report about this, and continue to test the next most recent kernel version until you can test to the issue. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this issue is fixed in the mainline kernel, please add the following tags by clicking on the yellow circle with a black pencil icon, next to the word Tags, located at the bottom of the report description:
kernel-fixed-upstream
kernel-fixed-upstream-X.Y-rcZ

Where X, Y, and Z are numbers corresponding to the kernel version.

If the mainline kernel does not fix the issue, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-X.Y-rcZ

Please note, an error to install the kernel does not fit the criteria of kernel-bug-exists-upstream.

Once testing of the latest upstream kernel is complete, please mark this report's Status as Confirmed. Please let us know your results.

Thank you for your understanding.

tags: added: latest-bios-a16
removed: bios-outdated-a16
description: updated
stef.baly (stef-baly) on 2015-10-17
tags: added: kernel-bug-exists-upstream-4.3-rc5
tags: added: kernel-bug-exists-upstream

stef.baly, could you please provide the missing information following https://wiki.ubuntu.com/DebuggingKernelSuspend ?

stef.baly (stef-baly) wrote :

wake up file

stef.baly (stef-baly) wrote :

sudo pm-suspend : no wifi problem when you wake up the computer
sudo pm-hibernate: one flickering before hibernation and the computer reboot when you want to wake it up
hibernation from the unity menu : wifi get lost when you wake up

stef.baly (stef-baly) wrote :

dmesg after sudo sh -c "sync && echo 1 > /sys/power/pm_trace && pm-suspend"

stef.baly (stef-baly) wrote :

Using upstart (kernel 4.3 rc5) seems to solve the issue !
pm-suspend, pm-suspend-hydrid and pm-hibernate work.
Sometime a responseless keyboards but no wifi problem.

stef.baly (stef-baly) wrote :

using systemd (kernel 4.3 rc5)
and command line pm-suspend, pm-suspend-hydrid or pm-hibernate work (wifi enable)
but using unity menu "mettre en veille" (hibernate, suspend doesn't know which command line is behind this traduction ?) doesn't enable wifi !

stef.baly, to advise, hibernate, or hybrid suspend is treated as a different problem, which would necessitate a separate report.

So, to recap the results regarding the scope of this report (suspend only), with systemd, it works with pm-suspend. However, if you initiate the suspend via the button, it doesn't?

Also, if you switch to upstart, it works either via the GUI, or pm-suspend, correct?

stef.baly (stef-baly) wrote :

4.3rc5 systemd
pm-suspend keyboard OK wifi YES
GUI keyboard OK wifi NO (in order enable the wifi pm-suspend and then wake up !)
flip keyboard sometimes wifi YES
pm-hibernate reboot ! keyboard lock for grub

4.3rc5 upstart
pm-suspend keyboard OK wifi YES
GUI keyboard NO wifi YES
flip keyboard sometimes wifi YES
pm-hibernate reboot !

stef.baly, given the results of how via upstart it works, but systemd suspend doesn't work based on the method one initiates suspend, I've added a systemd task to this report for review.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Martin Pitt (pitti) wrote :

So obviously one of the quirks in /usr/lib/pm-utils/sleep.d works around this kernel bug. We need to find out which. Can you please move the files in that directory to some other place one by one and do a "sudo pm-suspend" / resume cycle until it starts failing? That's the "magic" hook then. Which one is it?

After that exercise, move the hooks back to /usr/lib/pm-utils/sleep.d/.

Thanks!

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in systemd (Ubuntu):
status: New → Confirmed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers